Bug 92333 - Error Message: Can't open dependencies file /lib/modules/2.4.18-3/modules.dep (Can't open file or directory)
Error Message: Can't open dependencies file /lib/modules/2.4.18-3/modules.dep...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: modutils (Show other bugs)
7.3
i686 Linux
high Severity high
: ---
: ---
Assigned To: Bill Nottingham
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-05 03:26 EDT by CJ Ondeck
Modified: 2014-03-16 22:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-07 16:58:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description CJ Ondeck 2003-06-05 03:26:03 EDT
Description of problem:

I get the above error message in /var/log/messages and my network interface 
eth0 does not connect to the network. This happens after I finish running the 
procedure below on a newly configured system (Compaq DL360) with RedHat v7.3 
CDs. Files were directly downloaded from RedHat site. MD5's were checked and 
rechecked. Files then downloaded from rpmfind.net with same results. So far I 
have rebuilt this system 6 times and have had the same results. I have search 
your websites for the last 2 hours and cannot find any other reported issues 
like this. Please send me details on how to correct this problem. This is an 
important server I need to get back online as soon as possible.

Version-Release number of selected component (if applicable):


How reproducible:

run rpm -Uvh modutils-2.4.18-3.7x.i386.rpm 
then reboot
ifconfig shows interface
test network interface (ping and traceroute)
it's OK to anywhere
run rpm -Uvh kernel-2.4.20-18.7.i686.rpm
reboot
ifconfig does not show interface any more
test network interface (ping and traceroute) gives error message:
"connect: network is unreachable"

Steps to Reproduce:
1. Build server as above
2. Run RPMs as above
3.
    
Actual results:


Expected results:


Additional info:
Comment 1 Bill Nottingham 2003-07-07 16:58:14 EDT
You ran 'rpm -Uvh' on your kernel. This means that your 2.4.18-3 kernel was
removed. However, you still booted it (probably via lilo?); in any case, since
the rpm was removed, that kernel won't work.

Note You need to log in before you can comment on or make changes to this bug.